require('plugins.packer_setup')

require('packer').startup(function()

  -- Packer can manage itself as an optional plugin
  use {'wbthomason/packer.nvim', opt = true }

  -- Fuzzy finder
  use {
      'nvim-telescope/telescope.nvim',
      requires = {{'nvim-lua/popup.nvim'}, {'nvim-lua/plenary.nvim'}}
  }

  -- Autocomplete and snippets
  use {
      'hrsh7th/nvim-cmp',
      requires = {
          { 'hrsh7th/cmp-nvim-lsp' },
          { 'hrsh7th/cmp-buffer' },
          { 'hrsh7th/cmp-path' },
          { 'hrsh7th/cmp-cmdline' },
          { 'hrsh7th/vim-vsnip' },
          { 'hrsh7th/vim-vsnip-integ' },
      }
  }

  -- Statusbar, colors and syntax
  use { 'jacoborus/tender.vim' }
  use { 'nvim-treesitter/nvim-treesitter' }
  use { 'vim-airline/vim-airline' }
  use { 'vim-airline/vim-airline-themes' }

  -- LSP and related
  use { 'neovim/nvim-lspconfig' }
  use { 'weilbith/nvim-code-action-menu', cmd = 'CodeActionMenu' }
  use { 'folke/trouble.nvim' } -- lsp diagnostics

  -- Languages
  use { 'cespare/vim-toml' }
  use { 'gleam-lang/gleam.vim' }
  use { 'rust-lang/rust.vim' }
  use { 'tjdevries/nlua.nvim' }

  -- Git
  use { 'tpope/vim-fugitive' }

  -- Filesystem in a nvim buffer
  use { 'stevearc/oil.nvim' }

  -- Misc
  use { 'RRethy/vim-illuminate' } -- highlight all words same as the one under cursor
  use { 'vim-scripts/DrawIt' } -- ascii diagrams
  use { 'nathom/filetype.nvim' }

end)

require('plugins.cmp')
require('plugins.treesitter')
require('plugins.telescope')
require('plugins.oil')
